scala.actors.scheduler

# ExecutorScheduler

#### trait ExecutorScheduler extends Thread with IScheduler with TerminationService with ThreadPoolRunner

The `ExecutorScheduler` class uses an `ExecutorService` to execute `Actor`s.

Source
  ExecutorScheduler.scala

Linear Supertypes
ThreadPoolRunner, FutureTaskRunner, TaskRunner, TerminationService, TerminationMonitor, IScheduler, Thread, Runnable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ExecutorScheduler
2. ThreadPoolRunner
3. FutureTaskRunner
4. TaskRunner
5. TerminationService
6. TerminationMonitor
7. IScheduler
8. Thread
9. Runnable
10. AnyRef
11. Any

Visibility

1. Public
2. All

### Type Members

1. #### type Future[T] = Future[T]

   The type of the futures that the underlying task runner supports.

   The type of the futures that the underlying task runner supports.

   Definition Classes
     ThreadPoolRunner → FutureTaskRunner

2. #### type Task[T] = Callable[T] with Runnable

   Definition Classes
     ThreadPoolRunner → TaskRunner

### Abstract Value Members

1. #### abstract def executor: ExecutorService

   Attributes
     protected
   Definition Classes
     ThreadPoolRunner

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### val CHECK_FREQ: Int

   Attributes
     protected
   Definition Classes
     TerminationService

7. #### var activeActors: Int

   Attributes
     protected
   Definition Classes
     TerminationMonitor

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

9. #### final def checkAccess(): Unit

   Definition Classes
     Thread

10. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      Thread → AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

11. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

13. #### def execute(fun: ⇒ Unit): Unit

    Submits a closure for execution.

    Submits a closure for execution.

    fun

      the closure to be executed

    Definition Classes
      ExecutorScheduler → IScheduler

14. #### def execute(task: Runnable): Unit

    Submits a `Runnable` for execution.

    Submits a `Runnable` for execution.

    task

      the task to be executed

    Definition Classes
      ExecutorScheduler → IScheduler

15. #### def execute[S](task: Task[S]): Unit

    Definition Classes
      ThreadPoolRunner → TaskRunner

16. #### def executeFromActor(task: Runnable): Unit

    Definition Classes
      IScheduler

17. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

18. #### implicit def functionAsTask[S](fun: () ⇒ S): Task[S]

    Definition Classes
      ThreadPoolRunner → TaskRunner

19. #### implicit def futureAsFunction[S](x: Future[S]): () ⇒ S

    An implicit conversion from futures to zero-parameter functions.

    An implicit conversion from futures to zero-parameter functions.

    Definition Classes
      ThreadPoolRunner → FutureTaskRunner

20. #### def gc(): Unit

    Checks for actors that have become garbage.

    Checks for actors that have become garbage.

    Attributes
      protected
    Definition Classes
      TerminationMonitor

21. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

22. #### def getContextClassLoader(): ClassLoader

    Definition Classes
      Thread
    Annotations
      @CallerSensitive()

23. #### def getId(): Long

    Definition Classes
      Thread

24. #### final def getName(): String

    Definition Classes
      Thread

25. #### final def getPriority(): Int

    Definition Classes
      Thread

26. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Thread

27. #### def getState(): State

    Definition Classes
      Thread

28. #### final def getThreadGroup(): ThreadGroup

    Definition Classes
      Thread

29. #### def getUncaughtExceptionHandler(): UncaughtExceptionHandler

    Definition Classes
      Thread

30. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

31. #### def interrupt(): Unit

    Definition Classes
      Thread

32. #### def isActive: Boolean

    The scheduler is active if the underlying `ExecutorService` has not been shut down.

    The scheduler is active if the underlying `ExecutorService` has not been shut down.

    Definition Classes
      ExecutorScheduler → IScheduler

33. #### final def isAlive(): Boolean

    Definition Classes
      Thread

34. #### final def isDaemon(): Boolean

    Definition Classes
      Thread

35. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

36. #### def isInterrupted(): Boolean

    Definition Classes
      Thread

37. #### final def join(): Unit

    Definition Classes
      Thread
    Annotations
      @throws()

38. #### final def join(arg0: Long, arg1: Int): Unit

    Definition Classes
      Thread
    Annotations
      @throws()

39. #### final def join(arg0: Long): Unit

    Definition Classes
      Thread
    Annotations
      @throws()

40. #### def managedBlock(blocker: ManagedBlocker): Unit

    Definition Classes
      ThreadPoolRunner → FutureTaskRunner

41. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

42. #### def newActor(a: TrackedReactor): Unit

    newActor is invoked whenever a new actor is started.

    newActor is invoked whenever a new actor is started.

    Definition Classes
      TerminationMonitor

43. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

44. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

45. #### def onShutdown(): Unit

    This method is called when the scheduler shuts down.

    This method is called when the scheduler shuts down.

    Definition Classes
      ExecutorScheduler → TerminationService

46. #### def onTerminate(a: TrackedReactor)(f: ⇒ Unit): Unit

    Registers a closure to be executed when the specified actor terminates.

    Registers a closure to be executed when the specified actor terminates.

    a

      the actor

    f

      the closure to be registered

    Definition Classes
      TerminationMonitor

47. #### def run(): Unit

    Definition Classes
      TerminationService

48. #### def setContextClassLoader(arg0: ClassLoader): Unit

    Definition Classes
      Thread

49. #### final def setDaemon(arg0: Boolean): Unit

    Definition Classes
      Thread

50. #### final def setName(arg0: String): Unit

    Definition Classes
      Thread

51. #### final def setPriority(arg0: Int): Unit

    Definition Classes
      Thread

52. #### def setUncaughtExceptionHandler(arg0: UncaughtExceptionHandler): Unit

    Definition Classes
      Thread

53. #### def shutdown(): Unit

    Shuts down the scheduler.

    Shuts down the scheduler.

    Definition Classes
      TerminationService

54. #### def start(): Unit

    Definition Classes
      Thread

55. #### def submit[S](task: Task[S]): Future[S]

    Submits a task to run which returns its result in a future.

    Submits a task to run which returns its result in a future.

    Definition Classes
      ThreadPoolRunner → FutureTaskRunner

56. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

57. #### val terminate: Boolean

    Indicates whether the scheduler should terminate when all actors have terminated.

    Indicates whether the scheduler should terminate when all actors have terminated.

    Attributes
      protected
    Definition Classes
      TerminationService

58. #### def terminated(a: TrackedReactor): Unit

    Registers that the specified actor has terminated.

    Registers that the specified actor has terminated.

    a

      the actor that has terminated

    Definition Classes
      TerminationMonitor

59. #### val terminationHandlers: HashMap[TrackedReactor, () ⇒ Unit]

    Attributes
      protected
    Definition Classes
      TerminationMonitor

60. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Thread → AnyRef → Any

61. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

62. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

63. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

### Deprecated Value Members

1. #### def allTerminated: Boolean

   Deprecated non-actor-private version

   Deprecated non-actor-private version

   Definition Classes
     TerminationMonitor
   Annotations
     @deprecated
   Deprecated

     (Since version 2.7.7) this method is going to be removed in a future release

2. #### def countStackFrames(): Int

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3. #### def destroy(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

4. #### def onLockup(millis: Int)(handler: () ⇒ Unit): Unit

   Definition Classes
     IScheduler
   Annotations
     @deprecated
   Deprecated

     (Since version 2.7.7) this member is going to be removed in a future release

5. #### def onLockup(handler: () ⇒ Unit): Unit

   Definition Classes
     IScheduler
   Annotations
     @deprecated
   Deprecated

     (Since version 2.7.7) this member is going to be removed in a future release

6. #### def printActorDump(): Unit

   Definition Classes
     IScheduler
   Annotations
     @deprecated
   Deprecated

     (Since version 2.7.7) this member is going to be removed in a future release

7. #### final def resume(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

8. #### final def stop(arg0: Throwable): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

9. #### final def stop(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

10. #### final def suspend(): Unit

    Definition Classes
      Thread
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

11. #### def tick(a: Actor): Unit

    Definition Classes
      IScheduler
    Annotations
      @deprecated
    Deprecated

      (Since version 2.7.7) this member is going to be removed in a future release

### Inherited from ThreadPoolRunner

### Inherited from FutureTaskRunner

### Inherited from TaskRunner

### Inherited from TerminationService

### Inherited from TerminationMonitor

### Inherited from IScheduler

### Inherited from Thread

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any